Organization, location or owner containing non ascii characters makes will result in ERROR 400 from

server when puppet runs
Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1194684 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1194684

Description of problem:

--- LDAP ---

I've setup authentication against a ActiveDirectory with the following attribute mappings:

Login Name attribute: sAMAccountName

First name attribute: givenName

Surname attribute: sn

Email address attribute: mail

When a user, organization or location have name containing characters with non ASCII charachters such as å,ä,ö and its assigned to

a system which is puppet controlled you'll receive error:

Warning: Unable to fetch my node definition, but the agent run will continue:

Warning: Error 400 on SERVER: invalid byte sequence in US-ASCII

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Failed when searching for node node01.example.com:

invalid byte sequence in US-ASCII

Warning: Not using cache on failed catalog

Error: Could not retrieve catalog; skipping run

Version-Release number of selected component (if applicable):

Red Hat Satellite

Version 6.0.7 © 2014 Red Hat Inc.

How reproducible:

1. Add user, location or organization containing non ascii characters

2. Assign either of them to a puppet controlled system

3. Wait for or kick a puppet run

Actual results:

Warning: Unable to fetch my node definition, but the agent run will continue:

Warning: Error 400 on SERVER: invalid byte sequence in US-ASCII

Error: Could not retrieve catalog from remote server: Error 400 on SERVER: Failed when searching for node node01.example.com:

invalid byte sequence in US-ASCII

Warning: Not using cache on failed catalog

Error: Could not retrieve catalog; skipping run

Expected results:

Successful puppet run

History
#1 - 11/20/2015 02:48 AM - Dominic Cleal

- Status changed from New to Need more information

- Assignee deleted (Ohad Levy)

Can you reproduce this on current releases?  You're reporting it against a very old version (~1.5).

A fix went in a long time ago to change the Puppet master to run in UTF-8 in a default installation.

#2 - 02/11/2016 09:19 AM - Bryan Kearney

- Category set to Organizations and Locations

#3 - 02/29/2016 10:07 AM - Tomer Brisker

- Category deleted (Organizations and Locations)

- Status changed from Need more information to Resolved

Downstream bug seems to have been solved in newer version. Marking as resolved.
